Permalink
Browse files

updated for version 7.3.626

Problem:    Python interface doesn't build with Python 2.4 or older.
Solution:   Define Py_ssize_t. (Benjamin Bannier)
  • Loading branch information...
brammool committed Aug 8, 2012
1 parent ea30477 commit f3aae59f9b9dfc7b3bb4b6c513b5df685156d8fd
Showing with 6 additions and 0 deletions.
  1. +4 −0 src/if_py_both.h
  2. +2 −0 src/version.c
View
@@ -12,6 +12,10 @@
* Common code for if_python.c and if_python3.c.
*/
+#if PY_VERSION_HEX < 0x02050000
+typedef int Py_ssize_t; /* Python 2.4 and earlier don't have this type. */
+#endif
+
#ifdef FEAT_MBYTE
# define ENC_OPT p_enc
#else
View
@@ -714,6 +714,8 @@ static char *(features[]) =
static int included_patches[] =
{ /* Add new patch number below this line */
+/**/
+ 626,
/**/
625,
/**/

0 comments on commit f3aae59

Please sign in to comment.